Package org.apache.commons.lang3.function

## Interface FailableToDoubleBiFunction<T,​U,​E extends java.lang.Throwable>

Type Parameters:
  `T` - the type of the first argument to the function
  `U` - the type of the second argument to the function
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableToDoubleBiFunction<T,​U,​E extends java.lang.Throwable>

A functional interface like `ToDoubleBiFunction` that declares a `Throwable`.

Since:
  3.11

### Field Summary

Fields
`static FailableToDoubleBiFunction` `NOP` NOP singleton

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`double` `applyAsDouble​(T t, U u)` Applies this function to the given arguments.
`static <T,​U,​E extends java.lang.Throwable> FailableToDoubleBiFunction<T,​U,​E>` `nop()` Returns The NOP singleton.

### Field Detail

#### NOP

    static final FailableToDoubleBiFunction NOP

NOP singleton

### Method Detail

#### nop

    static <T,​U,​E extends java.lang.Throwable> FailableToDoubleBiFunction<T,​U,​E> nop()

Returns The NOP singleton.

Type Parameters:
  `T` - the type of the first argument to the function
  `U` - the type of the second argument to the function
  `E` - Thrown exception.
Returns:
  The NOP singleton.

#### applyAsDouble

    double applyAsDouble​(T t,
                         U u)
                  throws E extends java.lang.Throwable

Applies this function to the given arguments.

Parameters:
  `t` - the first function argument
  `u` - the second function argument
Returns:
  the function result
Throws:
  `E` - Thrown when the function fails.
  `E extends java.lang.Throwable`